\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}

\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-6.5,1.5) rectangle (-1.5,4.5);
\fill[line width=1.5pt,color=A2,fill=A2] (-6,4) -- (-6,2) -- (-4.5,2) -- cycle;
\fill[line width=1.5pt,color=H2,fill=H2] (-4.5,2) -- (-2,2) -- (-2,4) -- cycle;
\draw [line width=1.5pt] (-6,4)-- (-6,2);
\draw [line width=1.5pt] (-6,2)-- (-4.5,2);
\draw [line width=1.5pt] (-4.5,2)-- (-6,4);
\draw [line width=1.5pt] (-4.5,2)-- (-2,2);
\draw [line width=1.5pt] (-2,2)-- (-2,4);
\draw [line width=1.5pt] (-2,4)-- (-4.5,2);
\draw [line width=1.5pt] (-6,4)-- (-2,4);
\draw (-4,4.25) node[anchor=center] {$30cm$};
\draw (-1.75,3) node[anchor=center,rotate=-90] {$12cm$};
\draw[color=black] (-6.25,4.25) node {$A$};
\draw[color=black] (-1.75,4.25) node {$B$};
\draw[color=black] (-1.75,1.75) node {$C$};
\draw[color=black] (-6.25,1.75) node {$D$};
\draw[color=black] (-4.75,1.75) node {$M$};
\end{tikzpicture}

\end{document}